clang 8.0.0

Public Types | Static Public Member Functions | List of all members
llvm::PointerLikeTypeTraits< clang::SourceLocation > Struct Template Reference

`#include "clang/Basic/SourceLocation.h"`

## Public Types
enum | { NumLowBitsAvailable = 0 }

## Static Public Member Functions
static void * | getAsVoidPointer (clang::SourceLocation L)
static clang::SourceLocation | getFromVoidPointer (void *P)

## Detailed Description

### template<>
struct llvm::PointerLikeTypeTraits< clang::SourceLocation >

Definition at line 468 of file SourceLocation.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NumLowBitsAvailable |

Definition at line 469 of file SourceLocation.h.

## Member Function Documentation

## ◆ getAsVoidPointer()

static void* llvm::PointerLikeTypeTraits< clang::SourceLocation >::getAsVoidPointer | ( | clang::SourceLocation | L | ) |
| inline static

Definition at line 471 of file SourceLocation.h.

References clang::SourceLocation::getPtrEncoding().

## ◆ getFromVoidPointer()

static clang::SourceLocation llvm::PointerLikeTypeTraits< clang::SourceLocation >::getFromVoidPointer | ( | void * | P | ) |
| inline static

Definition at line 475 of file SourceLocation.h.

References clang::SourceLocation::getFromRawEncoding().

The documentation for this struct was generated from the following file:

- include/clang/Basic/SourceLocation.h